# QSSIGN

Section: qssign man page (1)
Updated: March 2019
Index Return to Main Contents

## NAME

qssign - an utility to sign and verify the integrity of log data.

## SYNOPSIS

qssign -s|S <secret> [-e] [-v] [-u <name>] [-f <regex>] [-a 'sha1'|'sha256']

## DESCRIPTION

qssign is a log data integrity check tool. It reads log data from stdin (pipe) and writes the data to stdout adding a sequence number and signatur to ever log line.

## OPTIONS

-s <secret>
  Passphrase used to calculate signature.
-S <program>
  Specifies a program which writes the passphrase to stdout.
-e
  Writes start/end marker when starting/stopping data signing.
-v
  Verification mode checking the integrity of signed data.
-u <name>
  Becomes another user, e.g. www-data.
-f <regex>
  Filter pattern (case sensitive regular expression) for messages which do not need to be signed.
-a 'sha1'|'sha256'
  Specifes the algorithm to use. Default is sha1.

## EXAMPLE

Sign:

TransferLog "|/usr/bin/qssign -s password -e |/usr/bin/qsrotate -o /var/log/apache/access.log"

Verify:

cat access.log | qssign -s password -v

## SEE ALSO

qsdt(1), qsexec(1), qsfilter2(1), qsgeo(1), qsgrep(1), qshead(1), qslog(1), qslogger(1), qspng(1), qsre(1), qsrespeed(1), qsrotate(1), qstail(1)

## AUTHOR

Pascal Buchbinder, http://mod-qos.sourceforge.net/

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXAMPLE
SEE ALSO
AUTHOR